Hello community,

here is the log from the commit of package icedtea-web for openSUSE:Factory 
checked in at 2018-02-22 15:02:09
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/icedtea-web (Old)
 and      /work/SRC/openSUSE:Factory/.icedtea-web.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "icedtea-web"

Thu Feb 22 15:02:09 2018 rev:25 rq:578794 version:1.7.1

Changes:
--------
--- /work/SRC/openSUSE:Factory/icedtea-web/icedtea-web.changes  2017-12-19 
10:56:57.057800820 +0100
+++ /work/SRC/openSUSE:Factory/.icedtea-web.new/icedtea-web.changes     
2018-02-22 15:02:17.226346910 +0100
@@ -1,0 +2,5 @@
+Wed Feb 21 09:02:25 UTC 2018 - fst...@suse.com
+
+- Disable the native plugin for SLE from version 15 (fate#323976)
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ icedtea-web.spec ++++++
--- /var/tmp/diff_new_pack.7QnBB5/_old  2018-02-22 15:02:18.226310938 +0100
+++ /var/tmp/diff_new_pack.7QnBB5/_new  2018-02-22 15:02:18.230310794 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package icedtea-web
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,7 +16,11 @@
 #
 
 
+%if !0%{?is_opensuse} && 0%{?sle_version} >= 150000
+%global build_native_plugin 0
+%else
 %global build_native_plugin 1
+%endif
 %global build_docs 1
 %define javadir     %{_jvmdir}/java
 %define jredir      %{_jvmdir}/jre
@@ -64,16 +68,16 @@
 Suggests:       %{name}-javadoc
 # bnc#737105/FATE#313084/bsc#929464
 Supplements:    java >= 1.8.0
-Provides:       java-plugin = 1.8.0
+Obsoletes:      java-1_6_0-openjdk-plugin < %{version}-%{release}
+Obsoletes:      java-1_7_0-openjdk-plugin < %{version}-%{release}
+Obsoletes:      java-1_8_0-openjdk-plugin < %{version}-%{release}
+Obsoletes:      java-1_9_0-openjdk-plugin < %{version}-%{release}
 Obsoletes:      java-plugin < 1.8.0
 Provides:       java-1_6_0-openjdk-plugin = %{version}-%{release}
-Obsoletes:      java-1_6_0-openjdk-plugin < %{version}-%{release}
 Provides:       java-1_7_0-openjdk-plugin = %{version}-%{release}
-Obsoletes:      java-1_7_0-openjdk-plugin < %{version}-%{release}
 Provides:       java-1_8_0-openjdk-plugin = %{version}-%{release}
-Obsoletes:      java-1_8_0-openjdk-plugin < %{version}-%{release}
 Provides:       java-1_9_0-openjdk-plugin = %{version}-%{release}
-Obsoletes:      java-1_9_0-openjdk-plugin < %{version}-%{release}
+Provides:       java-plugin = 1.8.0
 %if %{build_native_plugin}
 BuildRequires:  gcc-c++
 BuildRequires:  glib2-devel


Reply via email to